#include <bits/stdc++.h>

using namespace std;

int main()
{
   ios_base::sync_with_stdio(false);
   cin.tie(0);
   int n,m;
   cin>>n>>m;
   vector<pair<int, int>> vage;
   int donja,gornja;
   for(int i=0; i<n; i++)
   {
       cin>>donja>>gornja;
       vage.push_back({donja, gornja});
   }
   int l, r, x;
   for(int i=0; i<m; i++)
   {
       cin>>l>>r>>x;
       int brojac=0;
       for(int j=l-1; j<r; j++)
       {
           if(x<=vage[j].second && x>=vage[j].first)
           {
               brojac++;
           }
       }
       cout<<brojac<<"\n";
   }
}